org.apache.ignite.mxbean

## Interface CacheGroupMetricsMXBean

All Known Implementing Classes:
  CacheGroupMetricsMXBeanImpl

    @MXBeanDescription(value="MBean that provides access to cache group descriptor.")
    public interface CacheGroupMetricsMXBean

This interface defines JMX view on `CacheGroupContext`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<Integer,List<String>>` `getAffinityPartitionsAssignmentMap()` Gets affinity partitions assignment map.
`int` `getBackups()` Gets count of backups configured for this cache group.
`List<String>` `getCaches()` Gets list of cache names of this cache group.
`int` `getClusterMovingPartitionsCount()` Gets count of partitions with state MOVING for this cache group in the entire cluster.
`int` `getClusterOwningPartitionsCount()` Gets count of partitions with state OWNING for this cache group in the entire cluster.
`int` `getGroupId()` Gets cache group id.
`String` `getGroupName()` Gets cache group name.
`int` `getLocalNodeMovingPartitionsCount()` Gets count of partitions with state MOVING for this cache group located on this node.
`int` `getLocalNodeOwningPartitionsCount()` Gets count of partitions with state OWNING for this cache group located on this node.
`int` `getMaximumNumberOfPartitionCopies()` Calculates maximum number of partitions copies for all partitions of this cache group.
`int` `getMinimumNumberOfPartitionCopies()` Calculates minimum number of partitions copies for all partitions of this cache group.
`Map<Integer,Set<String>>` `getMovingPartitionsAllocationMap()` Gets allocation map of partitions with state MOVING in the cluster.
`Map<Integer,Set<String>>` `getOwningPartitionsAllocationMap()` Gets allocation map of partitions with state OWNING in the cluster.
`int` `getPartitions()` Gets count of partitions for this cache group.

### Method Detail

#### getGroupId

    @MXBeanDescription(value="Cache group id.")
    int getGroupId()

Gets cache group id.

Returns:
  Cache group id.

#### getGroupName

    @MXBeanDescription(value="Cache group name.")
    String getGroupName()

Gets cache group name.

Returns:
  Cache group name.

#### getCaches

    @MXBeanDescription(value="List of caches.")
    List<String> getCaches()

Gets list of cache names of this cache group.

Returns:
  List of cache names.

#### getBackups

    @MXBeanDescription(value="Count of backups configured for cache group.")
    int getBackups()

Gets count of backups configured for this cache group.

Returns:
  Count of backups.

#### getPartitions

    @MXBeanDescription(value="Count of partitions for cache group.")
    int getPartitions()

Gets count of partitions for this cache group.

Returns:
  Count of partitions.

#### getMinimumNumberOfPartitionCopies

    @MXBeanDescription(value="Minimum number of partition copies for all partitions of this cache group.")
    int getMinimumNumberOfPartitionCopies()

Calculates minimum number of partitions copies for all partitions of this cache group.

Returns:
  Minimum number of copies.

#### getMaximumNumberOfPartitionCopies

    @MXBeanDescription(value="Maximum number of partition copies for all partitions of this cache group.")
    int getMaximumNumberOfPartitionCopies()

Calculates maximum number of partitions copies for all partitions of this cache group.

Returns:
  Maximum number of copies.

#### getLocalNodeOwningPartitionsCount

    @MXBeanDescription(value="Count of partitions with state OWNING for this cache group located on this node.")
    int getLocalNodeOwningPartitionsCount()

Gets count of partitions with state OWNING for this cache group located on this node.

Returns:
  Partitions count.

#### getLocalNodeMovingPartitionsCount

    @MXBeanDescription(value="Count of partitions with state MOVING for this cache group located on this node.")
    int getLocalNodeMovingPartitionsCount()

Gets count of partitions with state MOVING for this cache group located on this node.

Returns:
  Partitions count.

#### getClusterOwningPartitionsCount

    @MXBeanDescription(value="Count of partitions for this cache group in the entire cluster with state OWNING.")
    int getClusterOwningPartitionsCount()

Gets count of partitions with state OWNING for this cache group in the entire cluster.

Returns:
  Partitions count.

#### getClusterMovingPartitionsCount

    @MXBeanDescription(value="Count of partitions for this cache group in the entire cluster with state MOVING.")
    int getClusterMovingPartitionsCount()

Gets count of partitions with state MOVING for this cache group in the entire cluster.

Returns:
  Partitions count.

#### getOwningPartitionsAllocationMap

    @MXBeanDescription(value="Allocation map of partitions with state OWNING in the cluster.")
    Map<Integer,Set<String>> getOwningPartitionsAllocationMap()

Gets allocation map of partitions with state OWNING in the cluster.

Returns:
  Map from partition number to set of nodes, where partition is located.

#### getMovingPartitionsAllocationMap

    @MXBeanDescription(value="Allocation map of partitions with state MOVING in the cluster.")
    Map<Integer,Set<String>> getMovingPartitionsAllocationMap()

Gets allocation map of partitions with state MOVING in the cluster.

Returns:
  Map from partition number to set of nodes, where partition is located

#### getAffinityPartitionsAssignmentMap

    @MXBeanDescription(value="Affinity partitions assignment map.")
    Map<Integer,List<String>> getAffinityPartitionsAssignmentMap()

Gets affinity partitions assignment map.

Returns:
  Map from partition number to list of nodes. The first node in this list is where the PRIMARY partition is assigned, other nodes in the list is where the BACKUP partitions is assigned.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018